Botan 1.10.17

Public Member Functions | List of all members
Botan::Self_Test_Failure Struct Reference

`#include <exceptn.h>`

Inheritance diagram for Botan::Self_Test_Failure:

## Public Member Functions
| Self_Test_Failure (const std::string &err)

## Detailed Description

Self Test Failure Exception

Definition at line 175 of file exceptn.h.

## Constructor & Destructor Documentation

## ◆ Self_Test_Failure()

Botan::Self_Test_Failure::Self_Test_Failure | ( | const std::string & | err | ) |
| inline

Definition at line 177 of file exceptn.h.

177 :
178 Internal_Error("Self test failed: " + err)
179 {}
Botan::Internal_Error::Internal_Error
Internal_Error(const std::string &err)
Definition: exceptn.h:47

The documentation for this struct was generated from the following file:

- src/utils/exceptn.h